# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		gvolwheel
Version:	1.0.2
Release:	alt1_2
Summary:	Lightweight application to control the audio volume
License:	GPLv3+
Group:		Sound
URL:		https://github.com/Junker/gvolwheel
Source0:	https://github.com/Junker/gvolwheel/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		gvolwheel-1.0.2-mga-use-pavucontrol-as-the-optional-mixer.patch

BuildRequires:	gettext-tools libasprintf-devel libtextstyle-devel
BuildRequires:	intltool
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(gtk+-3.0)
Requires:	pavucontrol
Source44: import.info

%description
GVolWheel is application which lets you control the volume easily through a
tray icon you can scroll on. Easily integrate with minimal desktops (Openbox,
IceWM,XFCE etc).

GVolWheel is configured to use pavucontrol from the Pulseaudio project as the
optional mixer.

%prep
%setup -q
%patch0 -p1


%build
autoreconf -fi
%configure
%make_build

%install
%makeinstall_std

# remove installed doc, instead use %%doc for it
rm -rf %{buildroot}%{_usr}/doc

%find_lang %{name}

%files -f %{name}.lang
%doc --no-dereference AUTHORS COPYING
%doc ChangeLog README.md
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.0.2-alt1_2
- update by mgaimport

* Sun Nov 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_1
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_10
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_9
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_8
- new version

